<?php

declare(strict_types=1);

namespace Drupal\consent_manager;

/**
 * Interface for consent_manager plugins.
 */
interface ConsentManagerPluginInterface {

  /**
   * Returns the translated plugin label.
   */
  public function label(): string;

  /**
   * Gets HTML code.
   *
   * @return string|false
   *   The HTML code or false.
   */
  public function getCode();

}
